catalog:
  title: Openni Nite Dev
  description: >-
    NiTE version 2.0 for people tracking and detection using the depth
    camera

templates:
- freestyle
- base

variables:
  description: body tracking
  keywords:
  - body
  - tracking
  access: private

  repository: http://projects.cit-ec.uni-bielefeld.de/git/robocupathome.nite.git
  scm.credentials: projects.cit-ec

  platform-requires:
    ubuntu:
      packages:
      - mono-4.0-gac
      - mono-gac

  shell.command: |
    prefix=${toolkit.dir}
    LIC_KEY=0KOIk2JeIBYClPWVnMoRKn5cdY4=

    bunzip2 ${filename}
    tar xf *.tar --directory ${toolkit.dir}/share

    cd ${toolkit.dir}/share/${worksrc}
    ./install.sh
    export NITE2_INCLUDE=${toolkit.dir}/share/${worksrc}/Include
    export NITE2_REDIST=${toolkit.dir}/share/${worksrc}/Redist

versions:
- name: v1.5.2.21
  variables:
    filename: nite-bin-linux-x64-v1.5.2.21.tar.bz2
    version: v1.5.2.21
    worksrc: NITE-Bin-Dev-Linux-x64-v1.5.2.21
    directory: ./
    branch: master

- name: v1.4.2.4
  variables:
    filename: nite-bin-linux64-v1.4.2.4.tar.bz2
    version: v1.4.2.4
    worksrc: ./
    branch: master

- name: v2.0.0
  variables:
    filename: NiTE-Linux-x64-2.0.0.tar.bz2
    version: v2.0.0
    worksrc: /NiTE-2.0.0
    branch: master
